using System;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.Design;

namespace RepPP.Toolkit.Web {
	namespace Design {
        //********************************************************************************
        //
        /// <summary>
        /// ContextMenuDesign is the IDE designer for the ContextMenuweb control
        /// </summary>
        //
        //********************************************************************************
        public class ContextMenuDesign : ControlDesigner {
            //********************************************************************************
            //
            /// <summary>
            /// ContextMenuDesign:         Class Constructor
            /// </summary>
            //
            //********************************************************************************
            public ContextMenuDesign() : base()	{
			}

            //********************************************************************************
            //
            /// <summary>
            /// GetDesignTimeHtml:         Returns the HTML to display in the VS IDE
            /// </summary>
            //
            //********************************************************************************
			public override string GetDesignTimeHtml() {
                ContextMenu         contextMenuInstance;
                ContextMenuItem     sampleSelectedItem;
                StringWriter        swPseudoWriter;
                HtmlTextWriter      htmlWriter;
                Table               tblMenu;
                TableRow            rowMenuItem;
                string              strRetVal;
                int                 iNumOfItems;
                int                 iSelectedItemPos = 1; 

                contextMenuInstance = (ContextMenu)Component;
                iNumOfItems         = contextMenuInstance.Items.Count;
				if (iNumOfItems == 0){
					contextMenuInstance.Items.Clear();
					for(int i = 0; i < 5; i++) {
						ContextMenuItem item = new ContextMenuItem("","Item", "", "", "");
						contextMenuInstance.Items.Add(item);
					}
				}
				sampleSelectedItem  = new ContextMenuItem("", "Selected Item", "", "", "");
				contextMenuInstance.Items.AddAt(iSelectedItemPos, sampleSelectedItem);
				swPseudoWriter      = new StringWriter();
				htmlWriter          = new HtmlTextWriter(swPseudoWriter);
                contextMenuInstance.Controls.Clear();
				contextMenuInstance.RenderControl(htmlWriter);
				htmlWriter.Close();
				swPseudoWriter.Close();
				tblMenu                 = (Table)(contextMenuInstance.Controls[0]).Controls[0];
				rowMenuItem             = tblMenu.Rows[iSelectedItemPos];
				rowMenuItem.BackColor   = contextMenuInstance.RolloverColor;
				swPseudoWriter          = new StringWriter();
				htmlWriter.InnerWriter  = swPseudoWriter;
				tblMenu.RenderControl(htmlWriter);
                if (iNumOfItems == 0){
                    contextMenuInstance.Items.Clear();
                } else {
                    contextMenuInstance.Items.RemoveAt(iSelectedItemPos);
                }
                strRetVal = swPseudoWriter.ToString(); 
				return(strRetVal);
			}

		}//class ContextMenuDesign
	}//namespace Design
}//namespace RepPP.Toolkit.Web
