using System;
using System.Collections;
using System.Windows.Forms;
using System.Xml;

namespace RepPP.Toolkit.Window {
    //*********************************************************
	/// <summary>
	/// SCListViewItem: Item of a listview which can be attached to a group instance line
	/// </summary>
    //*********************************************************
	public class ListViewLineItem : ListViewItem {
	    /// <summary>
	    /// Attached line bookmark
	    /// </summary>
	    private int             m_iLineBmk;

        //*********************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        /// <param name="ginst">        Group instance attached to the listview</param>
        /// <param name="iLineIndex">   Line index</param>
        //
        //*********************************************************
        public ListViewLineItem(RepPP.GroupInstance ginst, int iLineIndex) {
            m_iLineBmk = ginst.LineBookmark(iLineIndex);
        }

        //*********************************************************
        //
        /// <summary>
        /// LineNookmark:               Line bookmark of the item
        /// </summary>
        //
        //*********************************************************
        public int LineBookmark {
            get {
                return(m_iLineBmk);
            }
            set {
                m_iLineBmk = value;
            }
        }
	}
}
